﻿@model InventoryManager.Models.Materials

@{
    ViewData["Title"] = "Create";
    int pg;
    if (TempData["CurrentPage"] != null)
        pg = (int)TempData["CurrentPage"];
    else
        pg = 1;
    string currentModel = ModelHelper.GetModelName(Model.GetType().ToString());
}

<div class="container mainDiv">
    <div class="row">
        <div class="col-md-4 container centeredContainer text-center">
            <h4>Create New @currentModel</h4>
            <form asp-action="Create">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="Name" class="control-label"></label>
                    <input asp-for="Name" class="form-control" />
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Description" class="control-label"></label>
                    <input asp-for="Description" class="form-control" />
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Unit" class="control-label"></label>
                    <select asp-for="Unit" class="form-control" asp-items="ViewBag.Units"></select>
                    <span asp-validation-for="Unit" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Supplier" class="control-label"></label>
                    <select asp-for="Supplier" class="form-control" asp-items="ViewBag.Suppliers"></select>
                    <span asp-validation-for="Supplier" class="text-danger"></span>
                </div>
                <div class="form-group btn-group">
                    <input type="submit" value="Create" class="btn btn-primary" style="margin:2px; border-radius:10px; color:white; background-color:black; border-color:black;"/>
                    <a class="btn btn-secondary" style="margin:2px; border-radius:10px; color:black; background-color:lightgray; border-color:lightgray ;" asp-action="index"
                        asp-route-pg="@pg">Back</a>
                </div>
            </form>
         </div>
    </div>
</div>


@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

<script type="text/javascript">
    function openErrorModal(strMessage) {
    var myDiv = document.getElementById("MyModalErrorAlertBody");
    myDiv.innerHTML = strMessage;
    $('#myModalError').modal('show');
}

    $(document).ready(function () {
        var err = "@TempData["ErrorMessage"]"
        if (err)
           openErrorModal(err);          
    })

</script>


}
